;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          cl-digg-test.asd
;;;; Purpose:       ASDF definition for cl-digg-test
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :asdf)


(defsystem cl-digg-test
    :name "cl-digg-test"
    :author "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :maintainer "Nicolas Lamirault <nicolas.lamirault@gmail.com>"
    :version "0.1"
    :licence "Lisp Lesser GNU General Public License"
    :description "Unit Tests for Common Lisp wrapper of the Digg REST API."
    :depends-on (:cl-digg :cl-ppcre)
    :components
    ((:module :lib
              :components
              ((:file "lisp-unit")))
     (:module :test
              :components
              ((:file "package")
               (:file "test-errors-codes" :depends-on ("package"))
               (:file "test-users" :depends-on ("package"))
               (:file "test-topics" :depends-on ("package"))
               (:file "test-stories" :depends-on ("package"))
               (:file "test-events" :depends-on ("package"))
               )
              :depends-on (:lib))))
