;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          errors-codes.lisp
;;;; Purpose:       Unit Tests for the Errors codes API.
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :cl-digg-test)


(defconstant +digg-error-codes-number+ 31)

(defconstant +digg-error-not-found-code+ 404)

(defconstant +digg-unknown-error-code+ 101)


(lisp-unit:define-test get-all-errors-code
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "error code=" (cl-digg:get-error-code))
      (incf sum))
    (lisp-unit:assert-true (> sum 0))
    (lisp-unit:assert-equal sum +digg-error-codes-number+)))


(lisp-unit:define-test get-correct-code
  (let* ((sum 0)
         (token (format nil "error code=\"~A\"" +digg-error-not-found-code+)))
    (cl-ppcre:do-matches (s e token (cl-digg:get-error-code))
      (incf sum))
    (lisp-unit:assert-equal sum 1)))


(lisp-unit:define-test get-incorrect-code
  (lisp-unit:assert-error 'cl-digg:digg-request-error
                          (cl-digg:get-error-code +digg-unknown-error-code+)))

