;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          test-events.lisp
;;;; Purpose:       Unit Tests for the Events API.
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :cl-digg-test)


(lisp-unit:define-test get-diggs
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<comment date=" (cl-digg:get-diggs))
      (incf sum))
    (lisp-unit:assert-equal sum 10)))


(lisp-unit:define-test get-upcoming-diggs
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<digg date=" (cl-digg:get-diggs :filter :upcoming))
      (incf sum))
    (lisp-unit:assert-equal sum 10)))


(lisp-unit:define-test get-popular-diggs
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<digg date=" (cl-digg:get-diggs :filter :popular))
      (incf sum))
    (lisp-unit:assert-equal sum 10)))


(lisp-unit:define-test get-comments
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<comment date=" (cl-digg:get-comments))
      (incf sum))
    (lisp-unit:assert-equal sum 10)))


(lisp-unit:define-test get-upcoming-comments
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<comment date=" (cl-digg:get-comments :filter :upcoming))
      (incf sum))
    (lisp-unit:assert-equal sum 10)))


(lisp-unit:define-test get-popular-comments
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<comment date=" (cl-digg:get-comments :filter :popular))
      (incf sum))
    (lisp-unit:assert-equal sum 10)))

