;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          test-stories.lisp
;;;; Purpose:       Unit Tests for the Stories API.
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :cl-digg-test)


(lisp-unit:define-test get-all-stories
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<story id=" (cl-digg:list-stories))
      (incf sum))
    (lisp-unit:assert-true (> sum 1))))


(lisp-unit:define-test get-upcoming-topic
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "status=\"upcoming\">"
                            (cl-digg:list-stories :filter :upcoming))
      (incf sum))
    (lisp-unit:assert-true (> sum 1))))


(lisp-unit:define-test get-popular-topic
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "status=\"popular\">"
                            (cl-digg:list-stories :filter :popular))
      (incf sum))
    (lisp-unit:assert-true (> sum 1))))


(lisp-unit:define-test unknown-topic-filter
  (lisp-unit:assert-error 'simple-error (cl-digg:list-stories :filter :foo)))


