;;;; -*- Mode: LISP; Syntax: ANSI-Common-Lisp; Base: 10 -*-

;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          test-topics.lisp
;;;; Purpose:       Unit Tests for the Topics API.
;;;; Programmer:    Nicolas Lamirault <nicolas.lamirault@gmail.com>
;;;;
;;;; This file, part of cl-digg, is Copyright (c) 2007 by Nicolas Lamirault
;;;;
;;;; cl-digg users are granted the rights to distribute and use this software
;;;; as governed by the terms of the Lisp Lesser GNU Public License
;;;; (http://opensource.franz.com/preamble.html), also known as the LLGPL.
;;;;
;;;; *************************************************************************


(in-package :cl-digg-test)


(lisp-unit:define-test get-all-topics
  (let ((sum 0))
    (cl-ppcre:do-matches (s e "<topic name=" (cl-digg:get-topics))
      (incf sum))
    (lisp-unit:assert-true (> sum 1))))


(lisp-unit:define-test get-topic
  (let ((data (cl-digg:get-topics))
        topic)
    (cl-ppcre:do-matches (s e "<topic name=" data)
      (let* ((begin (position "=" data :start e :test #'string-equal))
             (end (position ">" data :start begin :test #'string-equal)))
        (setf topic (format nil "~A" 
                            (subseq data (+ 2 begin) (1- end))))))
    (lisp-unit:assert-true topic)
    (let ((sum 0))
      (cl-ppcre:do-matches (s e "<topic name="
                              (cl-digg:get-topics topic))
        (incf sum))
      (lisp-unit:assert-equal sum 1))))
